Bug 242376

Summary: devel/lab: Unbreak on aarch64
Product: Ports & Packages Reporter: Dmitri Goutnik <dmgk>
Component: Individual Port(s)Assignee: Dmitri Goutnik <dmgk>
Status: Closed FIXED    
Severity: Affects Only Me CC: swills
Priority: ---    
Version: Latest   
Hardware: arm64   
OS: Any   
Bug Depends on:    
Bug Blocks: 242312    
Attachments:
Description Flags
lab-0.16.0_2.patch swills: maintainer-approval+

Description Dmitri Goutnik freebsd_committer 2019-12-02 17:21:04 UTC
Created attachment 209616 [details]
lab-0.16.0_2.patch

===>  Building lab from .
# golang.org/x/sys/unix
vendor/golang.org/x/sys/unix/cap_freebsd.go:18:23: undefined: CAP_RIGHTS_VERSION_00
vendor/golang.org/x/sys/unix/cap_freebsd.go:19:23: undefined: CAP_RIGHTS_VERSION_00
vendor/golang.org/x/sys/unix/cap_freebsd.go:46:21: undefined: CapRights
vendor/golang.org/x/sys/unix/cap_freebsd.go:50:24: undefined: CapRights
vendor/golang.org/x/sys/unix/cap_freebsd.go:55:27: undefined: CapRights
vendor/golang.org/x/sys/unix/cap_freebsd.go:90:29: undefined: CapRights
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:12:6: missing function body
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:13:6: missing function body
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:14:6: missing function body
vendor/golang.org/x/sys/unix/syscall_unix_gc.go:15:6: missing function body
vendor/golang.org/x/sys/unix/cap_freebsd.go:90:29: too many errors

Unbreak by updating golang.org/x/sys to 33540a1f6037 which adds support for freebsd/arm64.

Tested on 12.1-STABLE/arm64 and 12.1-RELEASE/amd64.
Comment 1 commit-hook freebsd_committer 2019-12-05 11:42:04 UTC
A commit references this bug:

Author: dmgk
Date: Thu Dec  5 11:42:00 UTC 2019
New revision: 519076
URL: https://svnweb.freebsd.org/changeset/ports/519076

Log:
  devel/lab: Unbreak on aarch64

  PR:		242376
  Approved by:	swills (maintainer)

Changes:
  head/devel/lab/Makefile
  head/devel/lab/distinfo
Comment 2 Dmitri Goutnik freebsd_committer 2019-12-11 18:31:44 UTC
Upstream PR: https://github.com/zaquestion/lab/pull/352